Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Box Class Reference

Box that can be loaded to the cart and which contains picked items in the warehouse. More...

`#include <WarehousePickingOpt.h>`

## Public Member Functions
| Box (float width, float height, float depth, float max_weight, string name, float _usable_capacity_percentage=1)
| constructor, parameters are considered looking from the front side of the box More...
float | getCapacity ()
float | getFreeCapacity ()
float | getUsedCapacity ()
map< int, BoxItem > | getItemsInTheBox ()
bool | addItem (BoxItem &boxItem)
| function for adding item to box More...
bool | isEmpty ()
| function returning the empty state of the box More...

## Public Attributes
float | width
| usable capacity in percentage
float | height
float | depth
float | max_weight
string | name
float | usable_capacity_percentage = 1

## Detailed Description

Box that can be loaded to the cart and which contains picked items in the warehouse.

## Constructor & Destructor Documentation

## ◆ Box()

Box::Box | ( | float | width,
|  | float | height,
|  | float | depth,
|  | float | max_weight,
|  | string | name,
|  | float | _usable_capacity_percentage = `1`
| ) |  |

constructor, parameters are considered looking from the front side of the box

Parameters

  width | width of the box (from the front side)
  height | height of the box (from the front side)
  depth | depth of the box (from the front side - the length from the front side to the back-side)
  max_weight | maximal weight which can be loaded to the box
  name | optional name of the box

## Member Function Documentation

## ◆ addItem()

bool Box::addItem | ( | BoxItem & | boxItem | ) |

function for adding item to box

Warning
  it is without any check

## ◆ getCapacity()

float Box::getCapacity | ( |  | ) |

Returns
  capacity of box

## ◆ getFreeCapacity()

float Box::getFreeCapacity | ( |  | ) |

Returns
  free capacity of the box (this capacity is not necessarily usable in reality (e.g. some tight free space along item,...))

## ◆ getItemsInTheBox()

map< int, BoxItem > Box::getItemsInTheBox | ( |  | ) |

Returns
  map of <Product,BoxItems> that represents Product's units in the box

## ◆ getUsedCapacity()

float Box::getUsedCapacity | ( |  | ) |

Returns
  capacity used by the items already in the box

## ◆ isEmpty()

bool Box::isEmpty | ( |  | ) |

function returning the empty state of the box

Returns
  true when empty or false when not-empty

The documentation for this class was generated from the following files:

- WarehousePickingOpt.h
- box.cpp